# Elasticsearch Cluster Configuration
spring.elasticsearch.rest.uris=localhost:9200
spring.elasticsearch.rest.username=elastic
spring.elasticsearch.rest.password=KNYZc9Apw_pZe5=6+89r
spring.elasticsearch.rest.sniff=false # Set to false if you have a single node, true if you have a cluster

# Optional: Customization of the client configuration
spring.elasticsearch.rest.connection-timeout=5s
spring.elasticsearch.rest.read-timeout=30s

#Storage configuration
storage.bean.name=localStorageService
                  #googleDriveStorageService

# Google drive files storage configuration
google.drive.certificate.path=/credentials.json
google.drive.application.name=documentmanagement-410113
google.drive.tokens.directory.name=tokens

# Local file storage configuration
local.files.path=/Users/tomaszzablocki/Documents/projects/DMS/DocumentManagement/src/main/resources/storageForTest/

#Set ssl configuration and port
server.port = 8443
server.ssl.key-store=file:///Users/tomaszzablocki/Documents/projects/DMS/DocumentManagement/keystore/sslKey.jks
server.ssl.key-store-password=testkey
server.ssl.key-password=testkey
